GET /tasks/{task_id}/steps/{step_id}/sub-steps/{sub_step_id}/external-work
1 min
GET
https://api.cmp.optimizely.com/v3/tasks/{task_id}/steps/{step_id}/sub-steps/{sub_step_id}/external-work
Path Parameters
- task_idstringrequiredExampleDescription
- step_idstringrequiredExampleDescription
- sub_step_idstringrequiredExampleDescription
Responses
200
- TaskExternalWorkResponse
- identifierstringrequiredExampleDescription
- titlestringrequiredExampleDescription
- statusstringrequiredExampleDescription
- urlstringrequiredExampleDescription
- external_systemstringrequiredExampleDescription
- linksobjectrequiredDescription
- selfstringrequiredExampleDescription
400
- ErrorExample
{ "message": "Unsupported arguments: a,b,c" }Description- messagestringrequiredExampleDescription
- errorsmap<string, string>Description
401
- ErrorExample
{ "message": "Unauthorized" }Description- messagestringrequiredExampleDescription
- errorsmap<string, string>Description
403
- ErrorExample
{ "message": "You do not have the permission to perform this operation" }Description- messagestringrequiredExampleDescription
- errorsmap<string, string>Description
404
- ErrorExample
{ "message": "Resource not found" }Description- messagestringrequiredExampleDescription
- errorsmap<string, string>Description
curl
curl --request GET \
--url https://api.cmp.optimizely.com/v3/tasks/{task_id}/steps/{step_id}/sub-steps/{sub_step_id}/external-work \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.cmp.optimizely.com/v3/tasks/{task_id}/steps/{step_id}/sub-steps/{sub_step_id}/external-work", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.cmp.optimizely.com/v3/tasks/{task_id}/steps/{step_id}/sub-steps/{sub_step_id}/external-work")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.cmp.optimizely.com/v3/tasks/{task_id}/steps/{step_id}/sub-steps/{sub_step_id}/external-work"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Fetched external work information
{
"identifier": "MY-PROJ-123",
"title": "A very important ticket",
"status": "In Progress",
"url": "https://example.com/some-project/MY-PROJ-123",
"external_system": "jira",
"links": {
"self": "https://api.cmp.optimizely.com/v3/tasks/5d7f910551b00a722e0418830cee6631/steps/32982hf94j98cnr48034nv035/sub-steps/9n390809r384nv503459075034nv5/external-work"
}
}400
// Client error
{
"message": "Not found",
"errors": ""
}401
// Authorization error
{
"message": "Not found",
"errors": ""
}403
// Permission error
{
"message": "Not found",
"errors": ""
}404
// Not found error
{
"message": "Not found",
"errors": ""
}